Draft: Imposta un piano di lavoro Proxy
(Redirected from Draft SetWorkingPlaneProxy/it)
Outdated translations are marked like this.
|
Posizione nel menu |
---|
Draft → Utilità → Crea piano di lavoro proxy |
Ambiente |
Draft, Arch |
Avvio veloce |
Nessuno |
Introdotto nella versione |
- |
Vedere anche |
Seleziona piano |
Descrizione
Questo comando posiziona un oggetto Piano proxy allineato al corrente Piano di lavoro.
Tre piani di lavoro proxy con diversi orientamenti e offset
Utilizzo
- Assicurarsi che il Piano di lavoro sia impostato come si desidera.
- Poi andare nel menu Draft → Utilità →
Crea un piano di lavoro Proxy.
Menu contestuale
For a Draft WorkingPlaneProxy these additional options are available in the Tree view context menu:
Write camera position: updates the VistaView Data property of the working plane proxy with the current 3D view camera settings.
Write objects state: updates the VistaVisibility Map property of the working plane proxy with the current visibility state of objects in the document.
Notes
Note
- Il piano di lavoro memorizzato nell'oggetto Proxy può essere ripristinato facendo doppio clic sull'oggetto nella vista ad albero o selezionando l'oggetto Proxy e utilizzando il pulsante
Seleziona piano.
- La posizione della telecamera è memorizzata nell'oggetto Proxy al momento della creazione. Questa posizione può essere aggiornata in qualsiasi momento: zoom, panoramica e rotazione della vista come desiderato, quindi fare clic con il pulsante destro del mouse sull'oggetto piano Proxy nella vista ad albero e selezionare
Write camera position.
- Al momento della creazione nell'oggetto Proxy viene anche memorizzato lo stato di visibilità di tutti gli oggetti. Questo stato può essere aggiornato in qualsiasi momento: impostare la proprietà VistaVisibility degli oggetti su
true
ofalse
come desiderato, quindi fare clic con il pulsante destro del mouse sull'oggetto Proxy nella vista ad albero e selezionareWrite objects state.
- I piani proxy possono essere spostati e ruotati come qualsiasi altro oggetto in modo che definire il piano di lavoro desiderato. Il loro aspetto visivo può essere cambiato nell'editor delle proprietà.
Proprietà
See also: Property editor.
A Draft WorkingPlaneProxy object is derived from an App FeaturePython object and inherits all its properties. It also has the following additional properties:
Data
Base
Dati
- DatiPlacement: specifica la posizione dell'oggetto proxy e il piano di lavoro corrispondente.
- DatiPosition: specifica le coordinate dell'oggetto proxy.
- DatiAngle: specifica l'angolo di rotazione dell'oggetto proxy.
- DatiAxis: specifica l'asse da utilizzare per l'angolo di rotazione.
View
Base
- VistaLine Color (
Color
): specifies the color of all elements of the working plane proxy. - VistaLine Width (
Float
): specifies the line width of the axes and arrow symbols. - VistaRestore State (
Bool
): specifies if the VistaVisibility Map is restored when the working plane is aligned with the working plane proxy. - VistaRestore View (
Bool
): specifies if the VistaView Data is restored when the working plane is aligned with the working plane proxy. - VistaTransparency (
Percent
): specifies the transparency of the face of the working plane proxy. - VistaView Data (
FloatList
): specifies the camera position and settings. - Vista (Hidden)Visibility Map (
Map
): specifies the visibility state of objects.
Draft
Vista
- VistaDisplay Size: specifica sia la lunghezza che la larghezza dell'oggetto proxy. Se l'oggetto viene creato nella vista ad albero ma nella vista 3D non è visibile nessun elemento, aumentare questo valore fino a renderlo visibile.
- VistaArrow Size: specifica la dimensione delle frecce che indicano i tre assi del piano proxy.
- VistaRestore View: se è
true
la posizione della telecamera viene ripristinata nella posizione salvata quando si utilizza il proxy conSeleziona piano o facendo doppio clic su di esso.
- VistaRestore State: se è
true
lo stato di visibilità di tutti gli oggetti viene ripristinato allo stato salvato quando si utilizza il proxy conSeleziona piano o facendo doppio clic su di esso.
Script
Vedere anche: API Draft e Nozioni di base sugli script di FreeCAD.
L'oggetto Piano di lavoro proxy può essere utilizzato nelle macro e dalla console Python tramite la seguente funzione:
- Cre un oggetto
WPProxy
con ilplacement
dato, che è unFreeCAD.Placement
.- Un posizionamento è definito da un punto base, dato dal suo
FreeCAD.Vector
, e unaFreeCAD.Rotation
.
- Un posizionamento è definito da un punto base, dato dal suo
# This code only works if the Draft Workbench is active!
import FreeCAD as App
import FreeCADGui as Gui
import Draft
doc = App.newDocument()
workplane = App.DraftWorkingPlane
place = workplane.getPlacement()
proxy = Draft.make_workingplaneproxy(place)
proxy.ViewObject.DisplaySize = 3000
proxy.ViewObject.ArrowSize = 200
axis2 = App.Vector(1, 1, 1)
point2 = App.Vector(3000, 0, 0)
place2 = App.Placement(point2, App.Rotation(axis2, 90))
proxy2 = Draft.make_workingplaneproxy(place2)
proxy2.ViewObject.DisplaySize = 3000
proxy2.ViewObject.ArrowSize = 200
workplane.setFromPlacement(proxy2.Placement, rebase=True)
Gui.Snapper.setGrid()
doc.recompute()
- Drafting: Line, Polyline, Fillet, Arc, Arc by 3 points, Circle, Ellipse, Rectangle, Polygon, B-spline, Cubic Bézier curve, Bézier curve, Point, Facebinder, ShapeString, Hatch
- Annotation: Text, Dimension, Label, Annotation styles, Annotation scale
- Modification: Move, Rotate, Scale, Mirror, Offset, Trimex, Stretch, Clone, Array, Polar array, Circular array, Path array, Path Link array, Point Array, Point Link array, Edit, Subelement highlight, Join, Split, Upgrade, Downgrade, Wire to B-spline, Draft to Sketch, Set slope, Flip dimension, Shape 2D view
- Draft Tray: Select Plane, Set style, Toggle construction mode, AutoGroup
- Snapping: Snap Lock, Snap Endpoint, Snap Midpoint, Snap Center, Snap Angle, Snap Intersection, Snap Perpendicular, Snap Extension, Snap Parallel, Snap Special, Snap Near, Snap Ortho, Snap Grid, Snap WorkingPlane, Snap Dimensions, Toggle Grid
- Miscellaneous: Apply current style, Layer, Manage layers, Add a new named group, Move to group, Select group, Add to Construction group, Toggle normal/wireframe display, Create working plane proxy, Heal, Toggle continue mode, Show snap toolbar
- Additional: Constraining, Pattern, Preferences, Import Export Preferences, DXF/DWG, SVG, OCA, DAT
- Context menu:
- Layer container: Merge layer duplicates, Add new layer
- Layer: Activate this layer, Select layer contents
- Working plane proxy: Write camera position, Write objects state

- Getting started
- Installation: Download, Windows, Linux, Mac, Additional components, Docker, AppImage, Ubuntu Snap
- Basics: About FreeCAD, Interface, Mouse navigation, Selection methods, Object name, Preferences, Workbenches, Document structure, Properties, Help FreeCAD, Donate
- Help: Tutorials, Video tutorials
- Workbenches: Std Base, Arch, Draft, FEM, Inspection, Mesh, OpenSCAD, Part, PartDesign, Path, Points, Reverse Engineering, Robot, Sketcher, Spreadsheet, Start, Surface, TechDraw, Test Framework, Web
- Hubs: User hub, Power users hub, Developer hub